<?php 
	session_start();
	require "conexao.php";

	$data =  date('Y/m/d');

	$fornecedor = filter_var( $_POST['fornecedor'], FILTER_SANITIZE_STRING);
	$datapedido = filter_var( $_POST['datapedido'], FILTER_SANITIZE_STRING);
	$fabricante = filter_var( $_POST['fabricante'], FILTER_SANITIZE_STRING);
	$prazo = filter_var( $_POST['prazo'], FILTER_SANITIZE_STRING);
	$observacao = filter_var( $_POST['observacao'], FILTER_SANITIZE_STRING);
	$loja = filter_var( $_POST['loja'], FILTER_SANITIZE_STRING);
	$id = filter_var( $_POST['id'], FILTER_SANITIZE_STRING);
	$valor = filter_var( $_POST['valor'], FILTER_SANITIZE_STRING);

	$valor = str_replace(".", "", $valor);
	$valor=str_replace(",",".",$valor);

	$usuario = "user";
	$fornecedoraltual = filter_var( $_POST['fornecedoraltual'], FILTER_SANITIZE_STRING);
	@$altorizar = filter_var( $_POST['aprovacao'], FILTER_SANITIZE_STRING);

	if ($fornecedor == "NAO ALTERAR"){

		$fornecedor = $fornecedoraltual;

	}

	$query = "UPDATE pedidos
				SET fornecedor = '$fornecedor', datapedido = '$datapedido', fabricante = '$fabricante', prazo = '$prazo', obs = '$observacao', loja = '$loja', usuario = '$usuario', altorizar = '$altorizar', valor = '$valor'
				WHERE id = '$id';";

	if (mysqli_query($conexao, $query)) {

		$_SESSION['msg'] = "<div class='alert alert-success'>Cadastrada com sucesso </div>";
		header("Location: ../pedidos.php");
	}